### Class

# Gsk BroadwayRenderer

#### Description [src]

    final class Gsk.BroadwayRenderer : Gsk.Renderer
    {
      /* No available fields */
    }

A Broadway based renderer.

See `GskRenderer`.

#### Ancestors

- GskRenderer
- GObject

#### Constructors

###### gsk_broadway_renderer_new

Creates a new Broadway renderer.

deprecated: 4.20

#### Instance methods

##### Methods inherited from GskRenderer (7)

###### gsk_renderer_get_surface

Retrieves the surface that the renderer is associated with.

###### gsk_renderer_is_realized

Checks whether the renderer is realized or not.

###### gsk_renderer_realize

Creates the resources needed by the renderer.

###### gsk_renderer_realize_for_display

Creates the resources needed by the renderer.

since: 4.14

###### gsk_renderer_render

Renders the scene graph, described by a tree of `GskRenderNode` instances to the renderer’s surface, ensuring that the given region gets redrawn.

###### gsk_renderer_render_texture

Renders a scene graph, described by a tree of `GskRenderNode` instances, to a texture.

###### gsk_renderer_unrealize

Releases all the resources created by `gsk_renderer_realize()`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GskRenderer (2)

###### Gsk.Renderer:realized

Whether the renderer has been associated with a surface or draw context.

###### Gsk.Renderer:surface

The surface associated with renderer.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GskBroadwayRendererClass {
      /* no available fields */
    }

No description available.